Bug 249642 - devel/py-meliae: depends on python 2.x
Summary: devel/py-meliae: depends on python 2.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sofian Brabez
URL:
Keywords:
Depends on:
Blocks: 249337
  Show dependency treegraph
 
Reported: 2020-09-24 16:24 UTC by Steve Wills
Modified: 2020-11-18 11:30 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (sbz)


Attachments
patch to update port (1.40 KB, patch)
2020-10-19 17:00 UTC, Steve Wills
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2020-09-24 16:24:05 UTC
This port will be removed on 2020-12-31 if not fixed
Comment 1 Steve Wills freebsd_committer 2020-10-19 16:47:26 UTC
This seems to have a newer version upstream which supports Python 3.
Comment 2 Steve Wills freebsd_committer 2020-10-19 17:00:12 UTC
Created attachment 218895 [details]
patch to update port

Here's a patch to update the port.
Comment 3 commit-hook freebsd_committer 2020-11-18 11:30:24 UTC
A commit references this bug:

Author: rene
Date: Wed Nov 18 11:29:31 UTC 2020
New revision: 555635
URL: https://svnweb.freebsd.org/changeset/ports/555635

Log:
  devel/py-meliae: update to 0.5.1

  This version uses Python 3 so undeprecate the port. Limit it up to
  Python 3.8 as it fails to compile on Python 3.9:

  meliae/_scanner.c:3388:46: error: use of undeclared identifier 'PyGC_Head'
    __pyx_t_1 = __Pyx_PyInt_FromSize_t((sizeof(PyGC_Head))); if (unlikely(!__pyx_t_1)) __PYX_ERR(0, 52, __pyx_L1_error)
                                               ^

  Comment out the license file as it is not shipped in the distribution.

  PR:		249642
  Submitted by:	swills
  Approved by:	maintainer timeout (sbz, 1 month)

Changes:
  head/devel/py-meliae/Makefile
  head/devel/py-meliae/distinfo
Comment 4 Rene Ladan freebsd_committer 2020-11-18 11:30:48 UTC
Patch committed with minor modifications.